<?php
	$Position   = '../';
	require_once($Position.'config/config.php');
	require_once($Position.'config/conexion.php');
	require_once($Position.'funciones/funciones.php');
	require_once($Position.'funciones/extras.php');
	require_once($Position.'PhpExcel/Classes/PHPExcel.php');

	// $Id = $_GET['Id'];
	if( $_GET['go'] == 1 ){

		$archivo = "inventario.xlsx";
		$inputFileType = PHPExcel_IOFactory::identify($archivo);
		$objReader = PHPExcel_IOFactory::createReader($inputFileType);
		$objPHPExcel = $objReader->load($archivo);
		$sheet = $objPHPExcel->getSheet(0);
		$highestRow = $sheet->getHighestRow();
		$highestColumn = $sheet->getHighestColumn();

		$_count = 0;

		for ($row = 2; $row <= $highestRow; $row++){

			$_count = $_count + 1;

			$A 	= $sheet->getCell("A".$row)->getValue();
			$B 	= $sheet->getCell("B".$row)->getValue();
			$C 	= $sheet->getCell("C".$row)->getValue();
			$K 	= $sheet->getCell("K".$row)->getValue();
			$M 	= $sheet->getCell("M".$row)->getValue();
			$N 	= $sheet->getCell("N".$row)->getValue();

			if( $A & $K ){

				//Producto
        $Query = "
    			SELECT
    				pro.Id
    			FROM KB_Productos pro
    			WHERE pro.Clave = '$A'
    		";
    	  $Result = mysqli_query($mysqli, $Query);
    	  $Pro = mysqli_fetch_assoc($Result);

				if( $Pro[Id] ){

					$IdPro = $Pro[Id];

				}else{

					//Alta de Producto
					$Query = "
	          INSERT INTO KB_Productos
	          (
	            Clave, Nombre, Descripcion
	           )
	        	VALUES
	          (
	            '$A', '$B', '$B'
	          )
	        ";
					$Result = mysqli_query($mysqli, $Query);
	        $IdPro = mysqli_insert_id($mysqli);

				}

				//Almacen
        $Query = "
    			SELECT
    				alm.Id
    			FROM KB_Almacenes alm
    			WHERE alm.Clave = '$K'
    		";
    	  $Result = mysqli_query($mysqli, $Query);
    	  $Alm = mysqli_fetch_assoc($Result);

        if( $IdPro && $Alm[Id] ){

					echo $_count;
					echo "<br>";

					//Insertar Inventario
					echo $Query = "
	          INSERT INTO KB_ProductosInventario
	          (
	            Fk_Producto, ClaveProducto, Fk_Almacen,
							Existencia, Costo, Precio
	           )
	        	VALUES
	          (
	            '$IdPro', '$A', '$Alm[Id]',
							'$C', '$M', '$N'
	          )
	        ";
	        $Result = mysqli_query($mysqli, $Query);
					echo "<hr>";
        }

			}

		}

		echo "<hr>Total: ";
		echo $_count;

	}

?>
